Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
Microscopic_Traffic_Simulator.ViewModels.CanvasViewModel Class Reference

Viewmodel for canvas panel. More...

Inheritance diagram for Microscopic_Traffic_Simulator.ViewModels.CanvasViewModel:

## Additional Inherited Members
Public Member Functions inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
void | VerifyPropertyName (string propertyName)
| Warns the developer if this object does not have a public property with the specified name. This method does not exist in a Release build. More...
void | Dispose ()
| Invoked when this object is being removed from the application and will be subject to garbage collection. More...
Protected Member Functions inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
| ViewModelBase ()
| Create viewmodel base. More...
virtual void | OnPropertyChanged (string propertyName)
| Raises this object's PropertyChanged event. More...
virtual void | OnDispose ()
| Child classes can override this method to perform clean-up logic, such as removing event handlers. More...
Protected Attributes inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
Messenger | messenger
| Instance of messenger for communicating between view models. More...
Properties inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
virtual bool | ThrowOnInvalidPropertyName`[get]`
| Returns whether an exception is thrown, or if a Debug.Fail() is used when an invalid property name is passed to the VerifyPropertyName method. The default value is false, but subclasses used by unit tests might override this property's getter to return true. More...
Events inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
PropertyChangedEventHandler | PropertyChanged
| Raised when a property on this object has a new value. More...

## Detailed Description

Viewmodel for canvas panel.

Definition at line 13 of file CanvasViewModel.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/ViewModels/CanvasViewModel.cs